org.keycloak.models.sessions.infinispan.remotestore

## Class RemoteCacheSessionListener<K,V extends SessionEntity>

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.remotestore.RemoteCacheSessionListener<K,V>

- Direct Known Subclasses:
    RemoteCacheSessionListener.DontFetchInitialStateCacheListener, RemoteCacheSessionListener.FetchInitialStateCacheListener

      public class RemoteCacheSessionListener<K,V extends SessionEntity>
      extends Object

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemoteCacheSessionListener.DontFetchInitialStateCacheListener`
    `static class` | `RemoteCacheSessionListener.FetchInitialStateCacheListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RemoteCacheSessionListener()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `created(org.infinispan.client.hotrod.event.ClientCacheEntryCreatedEvent event)`
    `static <K,V extends SessionEntity> RemoteCacheSessionListener` | `createListener(KeycloakSession session, org.infinispan.Cache<K,SessionEntityWrapper<V>> cache, org.infinispan.client.hotrod.RemoteCache<K,SessionEntityWrapper<V>> remoteCache, BiFunction<RealmModel,V,Long> lifespanMsLoader, BiFunction<RealmModel,V,Long> maxIdleTimeMsLoader)`
    `protected void` | `createRemoteEntityInCache(K key, long eventVersion)`
    `protected void` | `init(KeycloakSession session, org.infinispan.Cache<K,SessionEntityWrapper<V>> cache, org.infinispan.client.hotrod.RemoteCache<K,SessionEntityWrapper<V>> remoteCache, BiFunction<RealmModel,V,Long> lifespanMsLoader, BiFunction<RealmModel,V,Long> maxIdleTimeMsLoader)`
    `void` | `removed(org.infinispan.client.hotrod.event.ClientCacheEntryRemovedEvent event)`
    `protected void` | `replaceRemoteEntityInCache(K key, long eventVersion)`
    `protected boolean` | `shouldUpdateLocalCache(org.infinispan.client.hotrod.event.ClientEvent.Type type, K key, boolean commandRetried)`
    `void` | `updated(org.infinispan.client.hotrod.event.ClientCacheEntryModifiedEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### RemoteCacheSessionListener

          protected RemoteCacheSessionListener()

  - ### Method Detail

    - #### init

          protected void init(KeycloakSession session,
                              org.infinispan.Cache<K,SessionEntityWrapper<V>> cache,
                              org.infinispan.client.hotrod.RemoteCache<K,SessionEntityWrapper<V>> remoteCache,
                              BiFunction<RealmModel,V,Long> lifespanMsLoader,
                              BiFunction<RealmModel,V,Long> maxIdleTimeMsLoader)

    - #### created

          public void created(org.infinispan.client.hotrod.event.ClientCacheEntryCreatedEvent event)

    - #### updated

          public void updated(org.infinispan.client.hotrod.event.ClientCacheEntryModifiedEvent event)

    - #### createRemoteEntityInCache

          protected void createRemoteEntityInCache(K key,
                                                   long eventVersion)

    - #### replaceRemoteEntityInCache

          protected void replaceRemoteEntityInCache(K key,
                                                    long eventVersion)

    - #### removed

          public void removed(org.infinispan.client.hotrod.event.ClientCacheEntryRemovedEvent event)

    - #### shouldUpdateLocalCache

          protected boolean shouldUpdateLocalCache(org.infinispan.client.hotrod.event.ClientEvent.Type type,
                                                   K key,
                                                   boolean commandRetried)

    - #### createListener

          public static <K,V extends SessionEntity> RemoteCacheSessionListener createListener(KeycloakSession session,
                                                                                              org.infinispan.Cache<K,SessionEntityWrapper<V>> cache,
                                                                                              org.infinispan.client.hotrod.RemoteCache<K,SessionEntityWrapper<V>> remoteCache,
                                                                                              BiFunction<RealmModel,V,Long> lifespanMsLoader,
                                                                                              BiFunction<RealmModel,V,Long> maxIdleTimeMsLoader)

Copyright © 2021 JBoss by Red Hat. All rights reserved.